> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Appointments for Contact

> Get Appointments for Contact



## OpenAPI

````yaml /api-reference/contacts/openapi.json get /contacts/{contactId}/appointments
openapi: 3.0.0
info:
  title: Contacts API
  description: Documentation for Contacts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Contacts
    description: Documentation for Contacts API
  - name: Tasks
    description: Documentation for Contacts API
  - name: Appointments
    description: Documentation for Contacts API
  - name: Tags
    description: Documentation for Contacts API
  - name: Notes
    description: Documentation for Contacts API
  - name: Campaigns
    description: Documentation for Contacts API
  - name: Workflow
    description: Documentation for Contacts API
  - name: Bulk
    description: Documentation for Contacts API
  - name: Search
    description: Documentation for Contacts API
  - name: Followers
    description: Documentation for Contacts API
paths:
  /contacts/{contactId}/appointments:
    get:
      tags:
        - Appointments
      summary: Get Appointments for Contact
      description: Get Appointments for Contact
      operationId: get-appointments-for-contact
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: contactId
          required: true
          in: path
          description: Contact Id
          schema:
            example: sx6wyHhbFdRXh302LLNR
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEventsSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - contacts.readonly
components:
  schemas:
    GetEventsSuccessfulResponseDto:
      type: object
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/GetEventSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    GetEventSchema:
      type: object
      properties:
        id:
          type: string
          example: YS3jaqqeehkR2Is80miy
        calendarId:
          type: string
          example: YlWd2wuCAZQzh2cH1fVZ
        status:
          type: string
          example: booked
        title:
          type: string
          example: Test
        assignedUserId:
          type: string
          example: YlWd2wuCAZQzh2cH1fVZ
        notes:
          type: string
          example: test
        startTime:
          type: string
          example: '2021-07-16 11:00:00'
        endTime:
          type: string
          example: '2021-07-16 11:30:00'
        address:
          type: string
          example: Address
        locationId:
          type: string
          example: YlWd2wuCAZQzh2cH1fVZ
        contactId:
          type: string
          example: YlWd2wuCAZQzh2cH1fVZ
        groupId:
          type: string
          example: YlWd2wuCAZQzh2cH1fVZ
        appointmentStatus:
          type: string
          example: booked
        users:
          example:
            - YlWd2wuCAZQzh2cH1fVZ
            - YlWd2wuCAZQzh2cH1fVZ
          type: array
          items:
            type: string
        dateAdded:
          type: string
          example: '2021-07-16 11:00:00'
        dateUpdated:
          type: string
          example: '2021-07-16 11:30:00'
        assignedResources:
          example:
            - YlWd2wuCAZQzh2cH1fVZ
            - YlWd2wuCAZQzh2cH1fVZ
          type: array
          items:
            type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````